/******************************************************************************
 *                                                                            *
 *   sortmain.h     version 1.0 of 22 Januari 1989    (C) L.J.M. de Wit 1989  *
 *                                                                            *
 * This software may be used and distributed freely if not used commercially  *
 * and the originator (me) is mentioned in the source (just leave this 9 line *
 * header intact).                                                            *
 *                                                                            *
 ******************************************************************************
 *
 * sortmain.h: external definitions & symbols for sortmain
 */

#define IGNBLANK   0x001                        /* Ignore leading blanks    */
#define DICTORDER  0x002                        /* Dictionary order         */
#define FOLDUPPER  0x004                        /* Fold ucase to lcase      */
#define IGNONPRINT 0x008                        /* Ignore non-printing chars*/
#define NUMERIC    0x010                        /* Interpret as numeric     */
#define REVERSE    0x020                        /* Reverse result           */

#define CHECKONLY  0x040                        /* Don't sort; check only   */
#define MERGEONLY  0x080                        /* Merge; input is sorted   */
#define OUTFILE    0x100                        /* Output was specified     */
#define UNIQUE     0x200                        /* Remove identical lines   */
#define SEPARATOR  0x400                        /* Separator was specified  */

#define wspace(c) ((c) == ' ' || (c) == '\t' || (c) == '\n')

extern int options;                             /* Global sort flags        */

extern void error();                            /* Display error msg & exit */
